CVC4::expr::ExprSetDepth::Scope Class Reference

Set the expression depth on the output stream for the current stack scope. More...

`#include <expr.h>`

## Public Member Functions

| Scope (std::ostream &out, long depth)
| ~Scope ()

## Detailed Description

Set the expression depth on the output stream for the current stack scope.

This makes sure the old depth is reset on the stream after normal OR exceptional exit from the scope, using the RAII C++ idiom.

Definition at line 738 of file expr.h.

## Constructor & Destructor Documentation

## Scope()

CVC4::expr::ExprSetDepth::Scope::Scope | ( | std::ostream & | out,
|  | long | depth )

inline

Definition at line 744 of file expr.h.

## ~Scope()

CVC4::expr::ExprSetDepth::Scope::~Scope | ( |  | ) |

inline

Definition at line 750 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h